API - REST Utilizzo delle API REST Riseact fornisce un set di APIs REST per consentire agli sviluppatori di interagire con le risorse di Riseact. Queste APIs sono disponibili per tutti gli sviluppatori che hanno creato un'applicazione su Riseact. Per poter utilizzare le APIs GraphQL di Riseact, รจ necessario ottenere un Access Token attraverso i processi descritti in questa pagina . Una volta ottenuto un Access Token, puoi utilizzare le APIs REST per interagire con le risorse di Riseact. Per ulteriori informazioni, consulta la pagina Risorse di Riseact e la pagina di references delle API REST . Esempio di utilizzo curl -H "Authorization: Bearer YOUR_ACCESS_TOKEN" https://core.riseact.com/api/v1/organization L'esempio sopra mostra come effettuare una richiesta alle API REST di Riseact utilizzando il comando cURL. Devi sostituire "YOUR_ACCESS_TOKEN" con il tuo effettivo Access Token ottenuto tramite OAuth. L'URL " https://api.riseact.com/v1/resources" rappresenta l'endpoint delle risorse di Riseact a cui desideri accedere. Puoi personalizzare la richiesta cURL in base alle tue esigenze specifiche, specificando i parametri appropriati o utilizzando metodi diversi come POST, PUT o DELETE. Contenuto importato da https://dev.riseact.org/docs/apis/rest-api-usage il 2026-04-23 durante la migrazione iniziale della KB Metadonors. Aggiornare se il sorgente cambia. RiseAct Admin API Version: 1.0.0 Authentication HTTP: Bearer Auth Security Scheme Type: http HTTP Authorization Scheme: bearer Contenuto importato da https://dev.riseact.org/docs/rest-references/riseact-admin-api il 2026-04-23 durante la migrazione iniziale della KB Metadonors. Aggiornare se il sorgente cambia. REST - Activity Create Activity Create Api Activity Create Api application/json Request Body required category ActivityCategory required Possible values: [ phone_call , email , meeting , todo , reminder , letter , whatsapp ] An enumeration. deadline_date date done_date date note Note staff_id Staff Id subject_id Subject Id required subject ActivitySubject required Possible values: [ supporter , donation ] An enumeration. Responses 200 OK application/json Schema Example (from schema) Schema id Id required create_date date-time required update_date date-time required category ActivityCategory required Possible values: [ phone_call , email , meeting , todo , reminder , letter , whatsapp ] An enumeration. deadline_date date done_date date note Note staff_id Staff Id subject_id Subject Id required subject ActivitySubject required Possible values: [ supporter , donation ] An enumeration. { "id" : 0 , "create_date" : "2026-04-16T14:13:28.404Z" , "update_date" : "2026-04-16T14:13:28.404Z" , "category" : "phone_call" , "deadline_date" : "2026-04-16" , "done_date" : "2026-04-16" , "note" : "string" , "staff_id" : 0 , "subject_id" : 0 , "subject" : "supporter" } Loading... Contenuto importato da https://dev.riseact.org/docs/rest-references/riseact-app-activities-rest-api-activity-create-api il 2026-04-23 durante la migrazione iniziale della KB Metadonors. Aggiornare se il sorgente cambia. REST - Campaigns Get Campaigns Get Campaigns Get Path Parameters campaign_id Campaign Id required Responses 200 OK application/json Schema Example (from schema) Schema id Id required create_date date-time required update_date date-time required title Title required code Code type Type required tags string[] required { "id" : 0 , "create_date" : "2026-04-16T14:13:28.418Z" , "update_date" : "2026-04-16T14:13:28.418Z" , "title" : "string" , "code" : "string" , "type" : "string" , "tags" : [ "string" ] } Loading... Contenuto importato da https://dev.riseact.org/docs/rest-references/riseact-app-campaigns-rest-api-campaigns-get il 2026-04-23 durante la migrazione iniziale della KB Metadonors. Aggiornare se il sorgente cambia. REST - Campaigns List Campaigns List Campaigns List Query Parameters q Q limit Limit Possible values: >= 1 Default value: 100 offset Offset Responses 200 OK application/json Schema Example (from schema) Schema items object[] Array [ id Id required create_date date-time required update_date date-time required title Title required code Code type Type required tags string[] required ] count Count required { "items" : [ { "id" : 0 , "create_date" : "2026-04-16T14:13:28.417Z" , "update_date" : "2026-04-16T14:13:28.417Z" , "title" : "string" , "code" : "string" , "type" : "string" , "tags" : [ "string" ] } ] , "count" : 0 } Loading... Contenuto importato da https://dev.riseact.org/docs/rest-references/riseact-app-campaigns-rest-api-campaigns-list il 2026-04-23 durante la migrazione iniziale della KB Metadonors. Aggiornare se il sorgente cambia. REST - Checkout Create Checkout Create Checkout Create application/json Request Body required campaign_slug Campaign Slug required peer_campaign_slug Peer Campaign Slug supporter_id Supporter Id supporter_data object image Image business_name Business Name first_name First Name last_name Last Name supporter_type object An enumeration. email Email phone Phone mobile Mobile sex Sex Possible values: [ MALE , FEMALE ] An enumeration. date_of_birth date place_of_birth Place Of Birth job Job ssn Ssn vat Vat address Address address2 Address2 city City locality Locality country Country postal_code Postal Code email_marketing Email Marketing Default value: false phone_marketing Phone Marketing Default value: false sms_marketing Sms Marketing Default value: false postal_marketing Postal Marketing Default value: false profilation_marketing Profilation Marketing Default value: false note Note certification_url Certification Url tags string[] Default value: [] amount Amount required frequency FrequencyString required Possible values: [ ONEOFF , MONTHLY , ANNUALLY ] An enumeration. cost_example_id Cost Example Id cost_example_quantity Cost Example Quantity tags string[] payment_method_id Payment Method Id application_id Application Id application_metadata object Responses 200 OK application/json Schema Example (from schema) Schema id Id required state CheckoutState required Possible values: [ OPEN , CLOSED ] An enumeration. amount Amount frequency FrequencyString Possible values: [ ONEOFF , MONTHLY , ANNUALLY ] An enumeration. completed_date date-time campaign_id Campaign Id required supporter_id Supporter Id required donation_id Donation Id payment_id Payment Id { "id" : 0 , "state" : "OPEN" , "amount" : 0 , "frequency" : "ONEOFF" , "completed_date" : "2026-04-16T14:13:28.425Z" , "campaign_id" : 0 , "supporter_id" : 0 , "donation_id" : 0 , "payment_id" : 0 } Loading... Contenuto importato da https://dev.riseact.org/docs/rest-references/riseact-app-checkouts-rest-api-checkout-create il 2026-04-23 durante la migrazione iniziale della KB Metadonors. Aggiornare se il sorgente cambia. REST - Checkouts Get Checkouts Get Checkouts Get Path Parameters checkout_id Checkout Id required Responses 200 OK application/json Schema Example (from schema) Schema id Id required create_date date-time required update_date date-time required campaign object id Id required create_date date-time required update_date date-time required title Title required code Code type Type required tags string[] required supporter object id Id required create_date date-time required image Image code Code business_name Business Name first_name First Name last_name Last Name email Email phone Phone mobile Mobile job Job sex Sex Possible values: [ MALE , FEMALE ] An enumeration. date_of_birth date place_of_birth Place Of Birth ssn Ssn vat Vat address Address address2 Address2 city City locality Locality country Country postal_code Postal Code certification_url Certification Url privacy Privacy email_marketing Email Marketing phone_marketing Phone Marketing sms_marketing Sms Marketing postal_marketing Postal Marketing profilation_marketing Profilation Marketing tags string[] required note Note donation object id Id required supporter_id Supporter Id required campaign_id Campaign Id required code Code required state DonationState required Possible values: [ draft , pending , active , past_due , done , revoked ] An enumeration. amount Amount required receipt_url Receipt Url frequency Frequency Possible values: [ 0 , 12 , 1 ] An enumeration. note Note completed_date date-time create_date date-time required update_date date-time required device Device tags string[] required payment object id Id required donation_id Donation Id required state PaymentState required Possible values: [ PENDING , PAID , REFUNDED , FAILED ] An enumeration. amount Amount required payment_date date-time payment_method object id Id required create_date date-time required update_date date-time required processor Processor required label Label required stripe_intent_id Stripe Intent Id create_date date-time required update_date date-time required state CheckoutState required Possible values: [ OPEN , CLOSED ] An enumeration. amount Amount completed_date date-time frequency Frequency Possible values: [ 0 , 12 , 1 ] An enumeration. cost_example_quantity Cost Example Quantity required payment_method_processor Payment Method Processor payment_method_label Payment Method Label payment_method_id Payment Method Id { "id" : 0 , "create_date" : "2026-04-16T14:13:28.426Z" , "update_date" : "2026-04-16T14:13:28.426Z" , "campaign" : { "id" : 0 , "create_date" : "2026-04-16T14:13:28.426Z" , "update_date" : "2026-04-16T14:13:28.426Z" , "title" : "string" , "code" : "string" , "type" : "string" , "tags" : [ "string" ] } , "supporter" : { "id" : 0 , "create_date" : "2026-04-16T14:13:28.426Z" , "image" : "string" , "code" : "string" , "business_name" : "string" , "first_name" : "string" , "last_name" : "string" , "email" : "string" , "phone" : "string" , "mobile" : "string" , "job" : "string" , "sex" : "MALE" , "date_of_birth" : "2026-04-16" , "place_of_birth" : "string" , "ssn" : "string" , "vat" : "string" , "address" : "string" , "address2" : "string" , "city" : "string" , "locality" : "string" , "country" : "string" , "postal_code" : "string" , "certification_url" : "string" , "privacy" : true , "email_marketing" : true , "phone_marketing" : true , "sms_marketing" : true , "postal_marketing" : true , "profilation_marketing" : true , "tags" : [ "string" ] , "note" : "string" } , "donation" : { "id" : 0 , "supporter_id" : 0 , "campaign_id" : 0 , "code" : "string" , "state" : "draft" , "amount" : 0 , "receipt_url" : "string" , "frequency" : 0 , "note" : "string" , "completed_date" : "2026-04-16T14:13:28.426Z" , "create_date" : "2026-04-16T14:13:28.426Z" , "update_date" : "2026-04-16T14:13:28.426Z" , "device" : "string" , "tags" : [ "string" ] } , "payment" : { "id" : 0 , "donation_id" : 0 , "state" : "PENDING" , "amount" : 0 , "payment_date" : "2026-04-16T14:13:28.426Z" , "payment_method" : { "id" : 0 , "create_date" : "2026-04-16T14:13:28.426Z" , "update_date" : "2026-04-16T14:13:28.426Z" , "processor" : "string" , "label" : "string" } , "stripe_intent_id" : "string" , "create_date" : "2026-04-16T14:13:28.426Z" , "update_date" : "2026-04-16T14:13:28.426Z" } , "state" : "OPEN" , "amount" : 0 , "completed_date" : "2026-04-16T14:13:28.426Z" , "frequency" : 0 , "cost_example_quantity" : 0 , "payment_method_processor" : "string" , "payment_method_label" : "string" , "payment_method_id" : 0 } Loading... Contenuto importato da https://dev.riseact.org/docs/rest-references/riseact-app-checkouts-rest-api-checkouts-get il 2026-04-23 durante la migrazione iniziale della KB Metadonors. Aggiornare se il sorgente cambia. REST - Checkouts List Checkouts List Checkouts List Query Parameters q Q order Order state CheckoutState Possible values: [ OPEN , CLOSED ] An enumeration. create_date_from date create_date_to date update_date_from date update_date_to date limit Limit Possible values: >= 1 Default value: 100 offset Offset Responses 200 OK application/json Schema Example (from schema) Schema items object[] Array [ id Id required create_date date-time required update_date date-time required campaign object id Id required create_date date-time required update_date date-time required title Title required code Code type Type required tags string[] required supporter object id Id required create_date date-time required image Image code Code business_name Business Name first_name First Name last_name Last Name email Email phone Phone mobile Mobile job Job sex Sex Possible values: [ MALE , FEMALE ] An enumeration. date_of_birth date place_of_birth Place Of Birth ssn Ssn vat Vat address Address address2 Address2 city City locality Locality country Country postal_code Postal Code certification_url Certification Url privacy Privacy email_marketing Email Marketing phone_marketing Phone Marketing sms_marketing Sms Marketing postal_marketing Postal Marketing profilation_marketing Profilation Marketing tags string[] required note Note donation object id Id required supporter_id Supporter Id required campaign_id Campaign Id required code Code required state DonationState required Possible values: [ draft , pending , active , past_due , done , revoked ] An enumeration. amount Amount required receipt_url Receipt Url frequency Frequency Possible values: [ 0 , 12 , 1 ] An enumeration. note Note completed_date date-time create_date date-time required update_date date-time required device Device tags string[] required payment object id Id required donation_id Donation Id required state PaymentState required Possible values: [ PENDING , PAID , REFUNDED , FAILED ] An enumeration. amount Amount required payment_date date-time payment_method object id Id required create_date date-time required update_date date-time required processor Processor required label Label required stripe_intent_id Stripe Intent Id create_date date-time required update_date date-time required state CheckoutState required Possible values: [ OPEN , CLOSED ] An enumeration. amount Amount completed_date date-time frequency Frequency Possible values: [ 0 , 12 , 1 ] An enumeration. cost_example_quantity Cost Example Quantity required payment_method_processor Payment Method Processor payment_method_label Payment Method Label payment_method_id Payment Method Id ] count Count required { "items" : [ { "id" : 0 , "create_date" : "2026-04-16T14:13:28.422Z" , "update_date" : "2026-04-16T14:13:28.422Z" , "campaign" : { "id" : 0 , "create_date" : "2026-04-16T14:13:28.423Z" , "update_date" : "2026-04-16T14:13:28.423Z" , "title" : "string" , "code" : "string" , "type" : "string" , "tags" : [ "string" ] } , "supporter" : { "id" : 0 , "create_date" : "2026-04-16T14:13:28.423Z" , "image" : "string" , "code" : "string" , "business_name" : "string" , "first_name" : "string" , "last_name" : "string" , "email" : "string" , "phone" : "string" , "mobile" : "string" , "job" : "string" , "sex" : "MALE" , "date_of_birth" : "2026-04-16" , "place_of_birth" : "string" , "ssn" : "string" , "vat" : "string" , "address" : "string" , "address2" : "string" , "city" : "string" , "locality" : "string" , "country" : "string" , "postal_code" : "string" , "certification_url" : "string" , "privacy" : true , "email_marketing" : true , "phone_marketing" : true , "sms_marketing" : true , "postal_marketing" : true , "profilation_marketing" : true , "tags" : [ "string" ] , "note" : "string" } , "donation" : { "id" : 0 , "supporter_id" : 0 , "campaign_id" : 0 , "code" : "string" , "state" : "draft" , "amount" : 0 , "receipt_url" : "string" , "frequency" : 0 , "note" : "string" , "completed_date" : "2026-04-16T14:13:28.423Z" , "create_date" : "2026-04-16T14:13:28.423Z" , "update_date" : "2026-04-16T14:13:28.423Z" , "device" : "string" , "tags" : [ "string" ] } , "payment" : { "id" : 0 , "donation_id" : 0 , "state" : "PENDING" , "amount" : 0 , "payment_date" : "2026-04-16T14:13:28.423Z" , "payment_method" : { "id" : 0 , "create_date" : "2026-04-16T14:13:28.423Z" , "update_date" : "2026-04-16T14:13:28.423Z" , "processor" : "string" , "label" : "string" } , "stripe_intent_id" : "string" , "create_date" : "2026-04-16T14:13:28.423Z" , "update_date" : "2026-04-16T14:13:28.423Z" } , "state" : "OPEN" , "amount" : 0 , "completed_date" : "2026-04-16T14:13:28.423Z" , "frequency" : 0 , "cost_example_quantity" : 0 , "payment_method_processor" : "string" , "payment_method_label" : "string" , "payment_method_id" : 0 } ] , "count" : 0 } Loading... Contenuto importato da https://dev.riseact.org/docs/rest-references/riseact-app-checkouts-rest-api-checkouts-list il 2026-04-23 durante la migrazione iniziale della KB Metadonors. Aggiornare se il sorgente cambia. REST - Donations Get Donations Get Donations Get Path Parameters donation_id Donation Id required Responses 200 OK application/json Schema Example (from schema) Schema id Id required supporter_id Supporter Id required campaign_id Campaign Id required code Code required state DonationState required Possible values: [ draft , pending , active , past_due , done , revoked ] An enumeration. amount Amount required receipt_url Receipt Url frequency Frequency Possible values: [ 0 , 12 , 1 ] An enumeration. note Note completed_date date-time create_date date-time required update_date date-time required device Device tags string[] required { "id" : 0 , "supporter_id" : 0 , "campaign_id" : 0 , "code" : "string" , "state" : "draft" , "amount" : 0 , "receipt_url" : "string" , "frequency" : 0 , "note" : "string" , "completed_date" : "2026-04-16T14:13:28.416Z" , "create_date" : "2026-04-16T14:13:28.416Z" , "update_date" : "2026-04-16T14:13:28.416Z" , "device" : "string" , "tags" : [ "string" ] } Loading... Contenuto importato da https://dev.riseact.org/docs/rest-references/riseact-app-donations-rest-api-donations-get il 2026-04-23 durante la migrazione iniziale della KB Metadonors. Aggiornare se il sorgente cambia. REST - Donations List Donations List Donations List Query Parameters q Q archived Archived order Order create_date_from date create_date_to date update_date_from date update_date_to date limit Limit Possible values: >= 1 Default value: 100 offset Offset Responses 200 OK application/json Schema Example (from schema) Schema items object[] Array [ id Id required supporter_id Supporter Id required campaign_id Campaign Id required code Code required state DonationState required Possible values: [ draft , pending , active , past_due , done , revoked ] An enumeration. amount Amount required receipt_url Receipt Url frequency Frequency Possible values: [ 0 , 12 , 1 ] An enumeration. note Note completed_date date-time create_date date-time required update_date date-time required device Device tags string[] required ] count Count required { "items" : [ { "id" : 0 , "supporter_id" : 0 , "campaign_id" : 0 , "code" : "string" , "state" : "draft" , "amount" : 0 , "receipt_url" : "string" , "frequency" : 0 , "note" : "string" , "completed_date" : "2026-04-16T14:13:28.414Z" , "create_date" : "2026-04-16T14:13:28.414Z" , "update_date" : "2026-04-16T14:13:28.414Z" , "device" : "string" , "tags" : [ "string" ] } ] , "count" : 0 } Loading... Contenuto importato da https://dev.riseact.org/docs/rest-references/riseact-app-donations-rest-api-donations-list il 2026-04-23 durante la migrazione iniziale della KB Metadonors. Aggiornare se il sorgente cambia. REST - Payments Get Payments Get Payments Get Path Parameters payment_id Payment Id required Responses 200 OK application/json Schema Example (from schema) Schema id Id required donation_id Donation Id required state PaymentState required Possible values: [ PENDING , PAID , REFUNDED , FAILED ] An enumeration. amount Amount required payment_date date-time payment_method object id Id required create_date date-time required update_date date-time required processor Processor required label Label required stripe_intent_id Stripe Intent Id create_date date-time required update_date date-time required { "id" : 0 , "donation_id" : 0 , "state" : "PENDING" , "amount" : 0 , "payment_date" : "2026-04-16T14:13:28.420Z" , "payment_method" : { "id" : 0 , "create_date" : "2026-04-16T14:13:28.420Z" , "update_date" : "2026-04-16T14:13:28.420Z" , "processor" : "string" , "label" : "string" } , "stripe_intent_id" : "string" , "create_date" : "2026-04-16T14:13:28.420Z" , "update_date" : "2026-04-16T14:13:28.420Z" } Loading... Contenuto importato da https://dev.riseact.org/docs/rest-references/riseact-app-payments-rest-api-payments-get il 2026-04-23 durante la migrazione iniziale della KB Metadonors. Aggiornare se il sorgente cambia. REST - Payments List Payments List Payments List Query Parameters q Q order Order state PaymentState[] Possible values: [ PENDING , PAID , REFUNDED , FAILED ] payment_date_from date payment_date_to date create_date_from date create_date_to date update_date_from date update_date_to date limit Limit Possible values: >= 1 Default value: 100 offset Offset Responses 200 OK application/json Schema Example (from schema) Schema items object[] Array [ id Id required donation_id Donation Id required state PaymentState required Possible values: [ PENDING , PAID , REFUNDED , FAILED ] An enumeration. amount Amount required payment_date date-time payment_method object id Id required create_date date-time required update_date date-time required processor Processor required label Label required stripe_intent_id Stripe Intent Id create_date date-time required update_date date-time required ] count Count required { "items" : [ { "id" : 0 , "donation_id" : 0 , "state" : "PENDING" , "amount" : 0 , "payment_date" : "2026-04-16T14:13:28.419Z" , "payment_method" : { "id" : 0 , "create_date" : "2026-04-16T14:13:28.419Z" , "update_date" : "2026-04-16T14:13:28.419Z" , "processor" : "string" , "label" : "string" } , "stripe_intent_id" : "string" , "create_date" : "2026-04-16T14:13:28.419Z" , "update_date" : "2026-04-16T14:13:28.419Z" } ] , "count" : 0 } Loading... Contenuto importato da https://dev.riseact.org/docs/rest-references/riseact-app-payments-rest-api-payments-list il 2026-04-23 durante la migrazione iniziale della KB Metadonors. Aggiornare se il sorgente cambia. REST - Supporters Create Supporters Create Supporters Create application/json Request Body required image Image business_name Business Name first_name First Name last_name Last Name supporter_type object An enumeration. email Email phone Phone mobile Mobile sex Sex Possible values: [ MALE , FEMALE ] An enumeration. date_of_birth date place_of_birth Place Of Birth job Job ssn Ssn vat Vat address Address address2 Address2 city City locality Locality country Country postal_code Postal Code email_marketing Email Marketing Default value: false phone_marketing Phone Marketing Default value: false sms_marketing Sms Marketing Default value: false postal_marketing Postal Marketing Default value: false profilation_marketing Profilation Marketing Default value: false note Note certification_url Certification Url tags string[] Default value: [] Responses 200 OK application/json Schema Example (from schema) Schema id Id required create_date date-time required image Image code Code business_name Business Name first_name First Name last_name Last Name email Email phone Phone mobile Mobile job Job sex Sex Possible values: [ MALE , FEMALE ] An enumeration. date_of_birth date place_of_birth Place Of Birth ssn Ssn vat Vat address Address address2 Address2 city City locality Locality country Country postal_code Postal Code certification_url Certification Url privacy Privacy email_marketing Email Marketing phone_marketing Phone Marketing sms_marketing Sms Marketing postal_marketing Postal Marketing profilation_marketing Profilation Marketing tags string[] required note Note { "id" : 0 , "create_date" : "2026-04-16T14:13:28.409Z" , "image" : "string" , "code" : "string" , "business_name" : "string" , "first_name" : "string" , "last_name" : "string" , "email" : "string" , "phone" : "string" , "mobile" : "string" , "job" : "string" , "sex" : "MALE" , "date_of_birth" : "2026-04-16" , "place_of_birth" : "string" , "ssn" : "string" , "vat" : "string" , "address" : "string" , "address2" : "string" , "city" : "string" , "locality" : "string" , "country" : "string" , "postal_code" : "string" , "certification_url" : "string" , "privacy" : true , "email_marketing" : true , "phone_marketing" : true , "sms_marketing" : true , "postal_marketing" : true , "profilation_marketing" : true , "tags" : [ "string" ] , "note" : "string" } Loading... Contenuto importato da https://dev.riseact.org/docs/rest-references/riseact-app-supporters-rest-api-supporters-create il 2026-04-23 durante la migrazione iniziale della KB Metadonors. Aggiornare se il sorgente cambia. REST - Supporters Get Supporters Get Supporters Get Path Parameters supporter_id Supporter Id required Responses 200 OK application/json Schema Example (from schema) Schema id Id required create_date date-time required image Image code Code business_name Business Name first_name First Name last_name Last Name email Email phone Phone mobile Mobile job Job sex Sex Possible values: [ MALE , FEMALE ] An enumeration. date_of_birth date place_of_birth Place Of Birth ssn Ssn vat Vat address Address address2 Address2 city City locality Locality country Country postal_code Postal Code certification_url Certification Url privacy Privacy email_marketing Email Marketing phone_marketing Phone Marketing sms_marketing Sms Marketing postal_marketing Postal Marketing profilation_marketing Profilation Marketing tags string[] required note Note { "id" : 0 , "create_date" : "2026-04-16T14:13:28.410Z" , "image" : "string" , "code" : "string" , "business_name" : "string" , "first_name" : "string" , "last_name" : "string" , "email" : "string" , "phone" : "string" , "mobile" : "string" , "job" : "string" , "sex" : "MALE" , "date_of_birth" : "2026-04-16" , "place_of_birth" : "string" , "ssn" : "string" , "vat" : "string" , "address" : "string" , "address2" : "string" , "city" : "string" , "locality" : "string" , "country" : "string" , "postal_code" : "string" , "certification_url" : "string" , "privacy" : true , "email_marketing" : true , "phone_marketing" : true , "sms_marketing" : true , "postal_marketing" : true , "profilation_marketing" : true , "tags" : [ "string" ] , "note" : "string" } Loading... Contenuto importato da https://dev.riseact.org/docs/rest-references/riseact-app-supporters-rest-api-supporters-get il 2026-04-23 durante la migrazione iniziale della KB Metadonors. Aggiornare se il sorgente cambia. REST - Supporters List Supporters List Supporters List Query Parameters q Q order Order type SupporterType Possible values: [ INDIVIDUAL , COMPANY , ORGANIZATION , FAMILY , GROUP ] An enumeration. city City country Country date_of_birth_from date date_of_birth_to date email_marketing Email Marketing phone_marketing Phone Marketing create_date_from date create_date_to date update_date_from date update_date_to date phone Phone ssn Ssn email Email limit Limit Possible values: >= 1 Default value: 100 offset Offset Responses 200 OK application/json Schema Example (from schema) Schema items object[] Array [ id Id required create_date date-time required image Image code Code business_name Business Name first_name First Name last_name Last Name email Email phone Phone mobile Mobile job Job sex Sex Possible values: [ MALE , FEMALE ] An enumeration. date_of_birth date place_of_birth Place Of Birth ssn Ssn vat Vat address Address address2 Address2 city City locality Locality country Country postal_code Postal Code certification_url Certification Url privacy Privacy email_marketing Email Marketing phone_marketing Phone Marketing sms_marketing Sms Marketing postal_marketing Postal Marketing profilation_marketing Profilation Marketing tags string[] required note Note ] count Count required { "items" : [ { "id" : 0 , "create_date" : "2026-04-16T14:13:28.407Z" , "image" : "string" , "code" : "string" , "business_name" : "string" , "first_name" : "string" , "last_name" : "string" , "email" : "string" , "phone" : "string" , "mobile" : "string" , "job" : "string" , "sex" : "MALE" , "date_of_birth" : "2026-04-16" , "place_of_birth" : "string" , "ssn" : "string" , "vat" : "string" , "address" : "string" , "address2" : "string" , "city" : "string" , "locality" : "string" , "country" : "string" , "postal_code" : "string" , "certification_url" : "string" , "privacy" : true , "email_marketing" : true , "phone_marketing" : true , "sms_marketing" : true , "postal_marketing" : true , "profilation_marketing" : true , "tags" : [ "string" ] , "note" : "string" } ] , "count" : 0 } Loading... Contenuto importato da https://dev.riseact.org/docs/rest-references/riseact-app-supporters-rest-api-supporters-list il 2026-04-23 durante la migrazione iniziale della KB Metadonors. Aggiornare se il sorgente cambia. REST - Supporters Update Supporters Update Supporters Update Path Parameters supporter_id Supporter Id required application/json Request Body required image Image business_name Business Name first_name First Name last_name Last Name supporter_type object An enumeration. email Email phone Phone mobile Mobile sex Sex Possible values: [ MALE , FEMALE ] An enumeration. date_of_birth date place_of_birth Place Of Birth job Job ssn Ssn vat Vat address Address address2 Address2 city City locality Locality country Country postal_code Postal Code email_marketing Email Marketing Default value: false phone_marketing Phone Marketing Default value: false sms_marketing Sms Marketing Default value: false postal_marketing Postal Marketing Default value: false profilation_marketing Profilation Marketing Default value: false note Note certification_url Certification Url tags string[] Default value: [] Responses 200 OK application/json Schema Example (from schema) Schema id Id required create_date date-time required image Image code Code business_name Business Name first_name First Name last_name Last Name email Email phone Phone mobile Mobile job Job sex Sex Possible values: [ MALE , FEMALE ] An enumeration. date_of_birth date place_of_birth Place Of Birth ssn Ssn vat Vat address Address address2 Address2 city City locality Locality country Country postal_code Postal Code certification_url Certification Url privacy Privacy email_marketing Email Marketing phone_marketing Phone Marketing sms_marketing Sms Marketing postal_marketing Postal Marketing profilation_marketing Profilation Marketing tags string[] required note Note { "id" : 0 , "create_date" : "2026-04-16T14:13:28.412Z" , "image" : "string" , "code" : "string" , "business_name" : "string" , "first_name" : "string" , "last_name" : "string" , "email" : "string" , "phone" : "string" , "mobile" : "string" , "job" : "string" , "sex" : "MALE" , "date_of_birth" : "2026-04-16" , "place_of_birth" : "string" , "ssn" : "string" , "vat" : "string" , "address" : "string" , "address2" : "string" , "city" : "string" , "locality" : "string" , "country" : "string" , "postal_code" : "string" , "certification_url" : "string" , "privacy" : true , "email_marketing" : true , "phone_marketing" : true , "sms_marketing" : true , "postal_marketing" : true , "profilation_marketing" : true , "tags" : [ "string" ] , "note" : "string" } Loading... Contenuto importato da https://dev.riseact.org/docs/rest-references/riseact-app-supporters-rest-api-supporters-update il 2026-04-23 durante la migrazione iniziale della KB Metadonors. Aggiornare se il sorgente cambia. REST - Supporters Delete Supporters Delete Supporters Delete Path Parameters supporter_id Supporter Id required Responses 200 OK application/json Schema Example (from schema) Schema id Id required create_date date-time required image Image code Code business_name Business Name first_name First Name last_name Last Name email Email phone Phone mobile Mobile job Job sex Sex Possible values: [ MALE , FEMALE ] An enumeration. date_of_birth date place_of_birth Place Of Birth ssn Ssn vat Vat address Address address2 Address2 city City locality Locality country Country postal_code Postal Code certification_url Certification Url privacy Privacy email_marketing Email Marketing phone_marketing Phone Marketing sms_marketing Sms Marketing postal_marketing Postal Marketing profilation_marketing Profilation Marketing tags string[] required note Note { "id" : 0 , "create_date" : "2026-04-16T14:13:28.413Z" , "image" : "string" , "code" : "string" , "business_name" : "string" , "first_name" : "string" , "last_name" : "string" , "email" : "string" , "phone" : "string" , "mobile" : "string" , "job" : "string" , "sex" : "MALE" , "date_of_birth" : "2026-04-16" , "place_of_birth" : "string" , "ssn" : "string" , "vat" : "string" , "address" : "string" , "address2" : "string" , "city" : "string" , "locality" : "string" , "country" : "string" , "postal_code" : "string" , "certification_url" : "string" , "privacy" : true , "email_marketing" : true , "phone_marketing" : true , "sms_marketing" : true , "postal_marketing" : true , "profilation_marketing" : true , "tags" : [ "string" ] , "note" : "string" } Loading... Contenuto importato da https://dev.riseact.org/docs/rest-references/riseact-app-supporters-rest-api-supporters-delete il 2026-04-23 durante la migrazione iniziale della KB Metadonors. Aggiornare se il sorgente cambia. REST - Webhooks Create Webhooks Create Webhooks Create application/json Request Body required topics WebhookEventTopic[] required Possible values: [ supporter.created , supporter.updated , supporter.deleted , checkout.created , checkout.updated , checkout.paid , checkout.closed , donation.created , donation.deleted , donation.updated , payment.created , payment.updated , campaign.created , campaign.updated , campaign.deleted ] url Url required Responses 200 OK application/json Schema Example (from schema) Schema id Id required topics WebhookEventTopic[] required Possible values: [ supporter.created , supporter.updated , supporter.deleted , checkout.created , checkout.updated , checkout.paid , checkout.closed , donation.created , donation.deleted , donation.updated , payment.created , payment.updated , campaign.created , campaign.updated , campaign.deleted ] url Url required { "id" : 0 , "topics" : [ "supporter.created" ] , "url" : "string" } Loading... Contenuto importato da https://dev.riseact.org/docs/rest-references/riseact-app-notifications-rest-api-webhooks-create il 2026-04-23 durante la migrazione iniziale della KB Metadonors. Aggiornare se il sorgente cambia. REST - Webhooks Get Webhooks Get Webhooks Get Path Parameters webhook_id Webhook Id required Responses 200 OK application/json Schema Example (from schema) Schema id Id required topics WebhookEventTopic[] required Possible values: [ supporter.created , supporter.updated , supporter.deleted , checkout.created , checkout.updated , checkout.paid , checkout.closed , donation.created , donation.deleted , donation.updated , payment.created , payment.updated , campaign.created , campaign.updated , campaign.deleted ] url Url required { "id" : 0 , "topics" : [ "supporter.created" ] , "url" : "string" } Loading... Contenuto importato da https://dev.riseact.org/docs/rest-references/riseact-app-notifications-rest-api-webhooks-get il 2026-04-23 durante la migrazione iniziale della KB Metadonors. Aggiornare se il sorgente cambia. REST - Webhooks List Webhooks List Webhooks List Responses 200 OK application/json Schema Example (from schema) Schema Array [ id Id required topics WebhookEventTopic[] required Possible values: [ supporter.created , supporter.updated , supporter.deleted , checkout.created , checkout.updated , checkout.paid , checkout.closed , donation.created , donation.deleted , donation.updated , payment.created , payment.updated , campaign.created , campaign.updated , campaign.deleted ] url Url required ] [ { "id" : 0 , "topics" : [ "supporter.created" ] , "url" : "string" } ] Loading... Contenuto importato da https://dev.riseact.org/docs/rest-references/riseact-app-notifications-rest-api-webhooks-list il 2026-04-23 durante la migrazione iniziale della KB Metadonors. Aggiornare se il sorgente cambia. REST - Webhooks Update Webhooks Update Webhooks Update Path Parameters webhook_id Webhook Id required application/json Request Body required topics WebhookEventTopic[] required Possible values: [ supporter.created , supporter.updated , supporter.deleted , checkout.created , checkout.updated , checkout.paid , checkout.closed , donation.created , donation.deleted , donation.updated , payment.created , payment.updated , campaign.created , campaign.updated , campaign.deleted ] url Url required Responses 200 OK application/json Schema Example (from schema) Schema id Id required topics WebhookEventTopic[] required Possible values: [ supporter.created , supporter.updated , supporter.deleted , checkout.created , checkout.updated , checkout.paid , checkout.closed , donation.created , donation.deleted , donation.updated , payment.created , payment.updated , campaign.created , campaign.updated , campaign.deleted ] url Url required { "id" : 0 , "topics" : [ "supporter.created" ] , "url" : "string" } Loading... Contenuto importato da https://dev.riseact.org/docs/rest-references/riseact-app-notifications-rest-api-webhooks-update il 2026-04-23 durante la migrazione iniziale della KB Metadonors. Aggiornare se il sorgente cambia. REST - Webhooks Delete Webhooks Delete Webhooks Delete Path Parameters webhook_id Webhook Id required Responses 200 OK application/json Schema Example (from schema) Schema id Id required topics WebhookEventTopic[] required Possible values: [ supporter.created , supporter.updated , supporter.deleted , checkout.created , checkout.updated , checkout.paid , checkout.closed , donation.created , donation.deleted , donation.updated , payment.created , payment.updated , campaign.created , campaign.updated , campaign.deleted ] url Url required { "id" : 0 , "topics" : [ "supporter.created" ] , "url" : "string" } Loading... Contenuto importato da https://dev.riseact.org/docs/rest-references/riseact-app-notifications-rest-api-webhooks-delete il 2026-04-23 durante la migrazione iniziale della KB Metadonors. Aggiornare se il sorgente cambia.